commit:     9f7a6c00c7e2e2c78ced1806c67b06076abcc0b8
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu May  2 06:45:57 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May  2 06:49:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9f7a6c00

mail-client/mailx: add 8.1.2.20220412

Signed-off-by: Sam James <sam <AT> gentoo.org>

 mail-client/mailx/Manifest                    |  2 +
 mail-client/mailx/mailx-8.1.2.20220412.ebuild | 55 +++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/mail-client/mailx/Manifest b/mail-client/mailx/Manifest
index 0596f1a2fe1a..96abd81ff42b 100644
--- a/mail-client/mailx/Manifest
+++ b/mail-client/mailx/Manifest
@@ -1,2 +1,4 @@
 DIST bsd-mailx_8.1.2-0.20180807cvs-1.debian.tar.xz 47916 BLAKE2B 
6776dc1705383438e4249269f38a0db963731580ce4df3a2f6fddb112495db3225608b97718cd3916e7bb40b71d0338e6d262416a42b60ba19a6f4a8e1c8627e
 SHA512 
3c99c5be121ecb37f2495b885e2a00290173b16578da100bb7955f86c7e76b8a8cd6bf8f936c1f00b906611e8649c0a6a25089b647d7f5ebcea8c8df3f334e28
 DIST bsd-mailx_8.1.2-0.20180807cvs.orig.tar.xz 79684 BLAKE2B 
2846cd752472a193f89f7672d6a61de9759beea5530484c75ae4703335afc22a833226a87141853e4fbb2c951f9818ff35c8b79349b8a7a9a77f7788c6569bab
 SHA512 
7a33d35934b0a98660732259d3132235ed14cd6843e79edd5683b668c3a550b45f0664021af35c219043640c20ce5aa34eaaf6dc275dc7e83aaed44853d008c9
+DIST bsd-mailx_8.1.2-0.20220412cvs-1.debian.tar.xz 49564 BLAKE2B 
4df1fa6be15b811e2a23f059b52a961849818f9defeb5671ec01f6ca9604998d7bf6e182edfc54c9b06b2b0c6e8cb1c270ca1758e2ca9a2aa6758ea41cd05014
 SHA512 
8794d8a41ec86012f4e74509f489afa8dcb624a17a6bc779024b2bb6eed8a7a86826785601bd295147641cd26f4288ec73aa8c3a2451b35b41fbc682f91c157f
+DIST bsd-mailx_8.1.2-0.20220412cvs.orig.tar.xz 79616 BLAKE2B 
436a312125f36067e5c126cb1e5bc91d8b4675c22ee827a822b14fb1f5ca23b7a43cd58ca14602929bb6c0cb48701ef6101ad2ed07ea9b7e9239c25edf73346e
 SHA512 
acee80e49fbac85dfaa48d885dd310a056a1418c6e3b02ee9f30441a34c104b134fb7c47cac91a1b2359d3d3cba0cf026d9cdf51f659b8c172100d7f98156203

diff --git a/mail-client/mailx/mailx-8.1.2.20220412.ebuild 
b/mail-client/mailx/mailx-8.1.2.20220412.ebuild
new file mode 100644
index 000000000000..a3f242136fea
--- /dev/null
+++ b/mail-client/mailx/mailx-8.1.2.20220412.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DP="bsd-${PN}_${PV%.*}-0.${PV##*.}cvs"
+DPT="${DP}.orig.tar.xz"
+DPP="${DP}-1.debian.tar.xz"
+
+DESCRIPTION="The $ mail program, which is used to send mail via shell scripts"
+HOMEPAGE="https://www.debian.org/";
+SRC_URI="
+       http://http.debian.net/debian/pool/main/b/bsd-${PN}/${DPT}
+       http://http.debian.net/debian/pool/main/b/bsd-${PN}/${DPP}
+"
+S="${WORKDIR}/${DP/_/-}.orig"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+
+DEPEND="
+       >=net-libs/liblockfile-1.03
+       dev-libs/libbsd
+       virtual/mta
+       || ( mail-client/mailx-support mail-mta/opensmtpd )"
+RDEPEND="${DEPEND}
+       !net-mail/mailutils"
+
+PATCHES=(
+       "${WORKDIR}"/debian/patches
+       "${FILESDIR}"/${PN}-8.1.2.20050715-offsetof.patch
+       "${FILESDIR}"/${PN}-8.1.2-20180807-musl-CCEQ.patch
+)
+
+src_compile() {
+       emake CC="$(tc-getCC)" EXTRAFLAGS="${CFLAGS}"
+}
+
+src_install() {
+       dobin mail
+
+       doman mail.1
+
+       dosym mail /usr/bin/Mail
+       dosym mail /usr/bin/mailx
+       dosym mail.1 /usr/share/man/man1/Mail.1
+
+       insinto /usr/share/mailx/
+       doins misc/mail.help misc/mail.tildehelp
+       insinto /etc
+       doins misc/mail.rc
+}

Reply via email to